#include "main.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

void OrtSamplesUsage(char* programName)
{
    printf("Usage : %s <index> \n", programName);
    printf("index:\n");
    printf("\t 0) YOLOV3 sample.\n");
    printf("\t 1) YOLOV5 sample.\n");
    printf("\t 2) YOLOV7 sample.\n");
}

int main(int argc, char *argv[])
{
    if (argc < 2 || argc > 2)
    {
        OrtSamplesUsage(argv[0]);
        return -1;
    }
    if (!strncmp(argv[1], "-h", 2))
    {
        OrtSamplesUsage(argv[0]);
        return 0;
    }
    switch (*argv[1])
    {
        case '0':
            {
                Ort_DetectorYOLOV3();
            }
            break;
        case '1':
            {
                Ort_DetectorYOLOV5();
            }
            break;
        case '2':
            {
                Ort_DetectorYOLOV7();
            }
            break;
        default :
            {
                OrtSamplesUsage(argv[0]);
            }
            break;
    }
    return 0;
}
